Commit ac4c50ad authored by Eric S. Raymond's avatar Eric S. Raymond

Rename INSTALL.BZR to UNSTALL.REPOm and carry that through in other files.

parent 9475054f
2014-01-08 Eric S. Raymond <esr@thyrsus.com>
* INSTALL.BZR: Renamed to INSTALL.REPO
* INSTALL, autogen.sh, etc/AUTHORS, etc/CONTRIBUTE,
lisp/emacs-lisp/authors.el, nt/INSTALL: Carry through the
above renaming.
* INSTALL.REPO: remove all references to any specific VCS.
2014-01-05 Paul Eggert <eggert@cs.ucla.edu> 2014-01-05 Paul Eggert <eggert@cs.ucla.edu>
Port to GNU/Linux with recent grsecurity/PaX patches (Bug#16343). Port to GNU/Linux with recent grsecurity/PaX patches (Bug#16343).
......
...@@ -8,7 +8,7 @@ This file contains general information on building GNU Emacs. ...@@ -8,7 +8,7 @@ This file contains general information on building GNU Emacs.
For more information specific to the MS-Windows, GNUstep/Mac OS X, and For more information specific to the MS-Windows, GNUstep/Mac OS X, and
MS-DOS ports, also read the files nt/INSTALL, nextstep/INSTALL, and MS-DOS ports, also read the files nt/INSTALL, nextstep/INSTALL, and
msdos/INSTALL. For information about building from a Bazaar checkout msdos/INSTALL. For information about building from a Bazaar checkout
(rather than a release), also read the file INSTALL.BZR. (rather than a release), also read the file INSTALL.REPO.
BASIC INSTALLATION BASIC INSTALLATION
......
...@@ -2,10 +2,10 @@ Copyright (C) 2002-2014 Free Software Foundation, Inc. ...@@ -2,10 +2,10 @@ Copyright (C) 2002-2014 Free Software Foundation, Inc.
See the end of the file for license conditions. See the end of the file for license conditions.
Building and Installing Emacs from Bazaar Building and Installing Emacs from the Repository
Building Emacs from Bazaar requires some tools that are not needed Building Emacs from the source-code repository requires some tools
when building from a release. You will need: that are not needed when building from a release. You will need:
autoconf - at least the version specified near the start of autoconf - at least the version specified near the start of
configure.ac (in the AC_PREREQ command). configure.ac (in the AC_PREREQ command).
...@@ -34,14 +34,14 @@ doing the wrong thing if you update the build procedure, you can ...@@ -34,14 +34,14 @@ doing the wrong thing if you update the build procedure, you can
invoke "./configure -C" instead. invoke "./configure -C" instead.
Some of the files that are included in the Emacs tarball, such as Some of the files that are included in the Emacs tarball, such as
byte-compiled Lisp files, are not stored in Bazaar. Therefore, to byte-compiled Lisp files, are not stored in the repository. Therefore, to
build from Bazaar you must run "make bootstrap" instead of just "make": build from the repository you must run "make bootstrap" instead of
just "make":
$ bzr pull
$ make bootstrap $ make bootstrap
Normally, it is not necessary to use "make bootstrap" after every Normally, it is not necessary to use "make bootstrap" after every
update from Bazaar. "make" should work in 90% of the cases and be update from the repository. "make" should work in 90% of the cases and be
much quicker. much quicker.
$ make $ make
...@@ -72,7 +72,7 @@ platform-specific configuration scripts (nt/configure.bat, config.bat, ...@@ -72,7 +72,7 @@ platform-specific configuration scripts (nt/configure.bat, config.bat,
etc.) before "make bootstrap" or "make"; the rest of the procedure is etc.) before "make bootstrap" or "make"; the rest of the procedure is
applicable to those systems as well. applicable to those systems as well.
Because the Bazaar version of Emacs is a work in progress, it will Because the repository version of Emacs is a work in progress, it will
sometimes fail to build. Please wait a day or so (and check the sometimes fail to build. Please wait a day or so (and check the
archives of the emacs-buildstatus, emacs-devel, and bug-gnu-emacs archives of the emacs-buildstatus, emacs-devel, and bug-gnu-emacs
mailing lists) before reporting such problems. In most cases, the mailing lists) before reporting such problems. In most cases, the
......
...@@ -25,7 +25,7 @@ ...@@ -25,7 +25,7 @@
## The Emacs bzr repository does not include the configure script ## The Emacs bzr repository does not include the configure script
## (and associated helpers). The first time you fetch Emacs from bzr, ## (and associated helpers). The first time you fetch Emacs from bzr,
## run this script to generate the necessary files. ## run this script to generate the necessary files.
## For more details, see the file INSTALL.BZR. ## For more details, see the file INSTALL.REPO.
### Code: ### Code:
...@@ -105,7 +105,7 @@ check_version () ...@@ -105,7 +105,7 @@ check_version ()
cat <<EOF cat <<EOF
Checking whether you have the necessary tools... Checking whether you have the necessary tools...
(Read INSTALL.BZR for more details on building Emacs) (Read INSTALL.REPO for more details on building Emacs)
EOF EOF
......
...@@ -72,7 +72,7 @@ and co-wrote cc-align.el cc-cmds.el cc-defs.el cc-engine.el cc-fonts.el ...@@ -72,7 +72,7 @@ and co-wrote cc-align.el cc-cmds.el cc-defs.el cc-engine.el cc-fonts.el
cc-langs.el cc-mode.el cc-styles.el cc-vars.el cc-langs.el cc-mode.el cc-styles.el cc-vars.el
and changed cc-mode.texi lread.c programs.texi font-lock.el font-core.el and changed cc-mode.texi lread.c programs.texi font-lock.el font-core.el
isearch.el lisp.el modes.texi cc-subword.el display.texi os.texi isearch.el lisp.el modes.texi cc-subword.el display.texi os.texi
search.texi startup.el subr.el text.texi INSTALL.BZR add-log.el search.texi startup.el subr.el text.texi INSTALL.REPO add-log.el
buffers.texi bytecomp.el callint.c cc-fix.el and 22 other files buffers.texi bytecomp.el callint.c cc-fix.el and 22 other files
Alan Shutko: changed diary-lib.el calendar.el bindings.el cal-hebrew.el Alan Shutko: changed diary-lib.el calendar.el bindings.el cal-hebrew.el
...@@ -1986,7 +1986,7 @@ Karl Eichwalder: changed Makefile.in add-log.el bookmark.el dired-aux.el ...@@ -1986,7 +1986,7 @@ Karl Eichwalder: changed Makefile.in add-log.el bookmark.el dired-aux.el
Karl Fogel: wrote bookmark.el mail-hist.el saveplace.el Karl Fogel: wrote bookmark.el mail-hist.el saveplace.el
and changed files.el doc-view.el image-mode.el info.el simple.el INSTALL and changed files.el doc-view.el image-mode.el info.el simple.el INSTALL
autogen.sh isearch.el menu-bar.el thingatpt.el INSTALL.BZR configure autogen.sh isearch.el menu-bar.el thingatpt.el INSTALL.REPO configure
configure.in editfns.c gnus-bookmark.el gnus-msg.el gnus-sum.el man.el configure.in editfns.c gnus-bookmark.el gnus-msg.el gnus-sum.el man.el
nnmail.el org-agenda.el vc-svn.el and 4 other files nnmail.el org-agenda.el vc-svn.el and 4 other files
......
...@@ -77,8 +77,8 @@ latest version. If you start from an older version, your patch may be ...@@ -77,8 +77,8 @@ latest version. If you start from an older version, your patch may be
outdated (so that maintainers will have a hard time applying it), or outdated (so that maintainers will have a hard time applying it), or
changes in Emacs may have made your patch unnecessary. changes in Emacs may have made your patch unnecessary.
After you have downloaded the Bazaar source, you should read the file After you have downloaded the repository source, you should read the file
INSTALL.BZR for build instructions (they differ to some extent from a INSTALL.REPO for build instructions (they differ to some extent from a
normal build). normal build).
Ref: http://savannah.gnu.org/projects/emacs Ref: http://savannah.gnu.org/projects/emacs
......
...@@ -648,6 +648,7 @@ in the repository.") ...@@ -648,6 +648,7 @@ in the repository.")
;; INSTALL-CVS -> .CVS -> .BZR ;; INSTALL-CVS -> .CVS -> .BZR
("INSTALL-CVS" . "INSTALL.BZR") ("INSTALL-CVS" . "INSTALL.BZR")
("INSTALL.CVS" . "INSTALL.BZR") ("INSTALL.CVS" . "INSTALL.BZR")
("INSTALL.BZR" . "INSTALL.REPO")
("refcards/fr-drdref.pdf" . "refcards/fr-dired-ref.pdf") ("refcards/fr-drdref.pdf" . "refcards/fr-dired-ref.pdf")
("gnus-logo.eps" . "refcards/gnus-logo.eps") ("gnus-logo.eps" . "refcards/gnus-logo.eps")
("build-install" . "build-ins.in") ("build-install" . "build-ins.in")
......
...@@ -292,7 +292,7 @@ Windows 9X as well). ...@@ -292,7 +292,7 @@ Windows 9X as well).
$ ./autogen.sh $ ./autogen.sh
Checking whether you have the necessary tools... Checking whether you have the necessary tools...
(Read INSTALL.BZR for more details on building Emacs) (Read INSTALL.REPO for more details on building Emacs)
Checking for autoconf (need at least version 2.65)... Checking for autoconf (need at least version 2.65)...
ok ok
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment